---
title: NDEFRecord.recordType
slug: Web/API/NDEFRecord/recordType
tags:
  - NDEF
  - Reference
  - Web NFC
---
<p>{{Draft}}{{securecontext_header}}{{SeeCompatTable}}{{APIRef()}}</p>

<p class="summary"><span class="seoSummary">The <strong><code>recordType</code></strong> property ofthe {{DOMxRef("NDEFRecord")}} interface is {{DOMxRef("USVString")}} containing the NDEF record type.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>NDEFRecord</em>.recordType</pre>

<h3 id="Value">Value</h3>

<p>A {{DOMxRef("USVString")}} which can be one of the following:</p>

<dl>
 <dt><code>"empty"</code></dt>
 <dd>Represents a empty NDEF record.</dd>
 <dt><code>"text"</code></dt>
 <dd>Represents a text NDEF record.</dd>
 <dt><code>"url"</code></dt>
 <dd>Represents an URI NDEF record.</dd>
 <dt><code>"<dfn>smart-poster</dfn>"</code></dt>
 <dd>Represents a "smart poster" NDEF record.</dd>
 <dt><code>"absolute-url"</code></dt>
 <dd>Represents an absolute URL NDEF record.</dd>
 <dt><code>"mime"</code></dt>
 <dd>Represents a {{Glossary("MIME type")}} NDEF record.</dd>
 <dt><code>"unknown"</code></dt>
 <dd>Represents an unknown NDEF record.</dd>
 <dt>local type name</dt>
 <dd>Represents a local type name, frequently used to specify NDEF record embedded within another record.</dd>
 <dt>external type name</dt>
 <dd>Represents a custom record type name that can be creted by organizations themselves for custom needs.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td><a href="https://w3c.github.io/web-nfc/#dom-ndefrecord-recordtype">Web NFC, NDEFRecord.recordType</a></td>
   <td>Draft</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NDEFRecord.recordType")}}</p>
